#pragma once
#include "enity.hpp"
//!@file функции для обработки обновления в Enity
bool Enity::kill_by_timer(float dt) {
  data0.f0 -= dt;
  if (data0.f0 <= 0) {
    kill();
    return false;
  }
  return true;
}
bool Enity::rand_spin(float dt) {
  phys.set_deg(phys.deg + a83::sfrand() * data0.f1 * dt);
  return true;
}
bool Enity::frag(float dt) {
  phys.set_deg2(phys.deg + data0.f0 * dt);
  if (phys.spd <= 0.001f) {
    kill();
    return false;
  }
  return true;
}
bool Enity::kill_by_collide(float dt) {
  (void)dt;
  if (flags & EF_COLLIDED) {
    kill();
    return false;
  }
  return true;
}
bool Enity::homing_plr(float dt) {
  phys.rotate_to(g_offset.pos, data0.f0, dt);
  warning.add_missile_warn();
  return true;
}